Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 12 Apr 2021 07:22:26 +0000

Hi Amir Aziz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Why my delivery is late??? You promised to deliver it by 11 April between 2-6 pm.  This is sooo bad, you can not do such mistake, you will lose your credibility, I was waiting for this order one whole week and yet it didn’t come.. I don’t trust you any more.  And this is totally not acceptable in any ways. Give me my product on time I paid it fully already. My order number is 6292722925 under the name of Nivin, phone mumber is 540590453. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2388677